# root-io.sdk.cloud-client
This is the API documentation for Root.io.

The `root_io.sdk.cloud_client` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 1.0.0
- Generator version: 7.5.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* aiohttp
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with root-io.sdk.cloud-client,
you can run the following:

```python

import root_io.sdk.cloud_client
from root_io.sdk.cloud_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.root.io
# See configuration.py for a list of all supported configuration parameters.
configuration = root_io.sdk.cloud_client.Configuration(
    host = "https://api.root.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: BasicAuth
configuration = root_io.sdk.cloud_client.Configuration(
    username = os.environ["USERNAME"],
    password = os.environ["PASSWORD"]
)


# Enter a context with an instance of the API client
async with root_io.sdk.cloud_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = root_io.sdk.cloud_client.APIKeysApi(api_client)

    try:
        # List API Keys
        api_response = await api_instance.api_keys_get()
        print("The response of APIKeysApi->api_keys_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling APIKeysApi->api_keys_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.root.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*APIKeysApi* | [**api_keys_get**](root_io/sdk/cloud_client/docs/APIKeysApi.md#api_keys_get) | **GET** /api_keys | List API Keys
*APIKeysApi* | [**api_keys_id_delete**](root_io/sdk/cloud_client/docs/APIKeysApi.md#api_keys_id_delete) | **DELETE** /api_keys/{id} | Delete API Key
*APIKeysApi* | [**api_keys_id_get**](root_io/sdk/cloud_client/docs/APIKeysApi.md#api_keys_id_get) | **GET** /api_keys/{id} | Show API Key
*APIKeysApi* | [**api_keys_post**](root_io/sdk/cloud_client/docs/APIKeysApi.md#api_keys_post) | **POST** /api_keys | Create API Key
*AccountApi* | [**me_get**](root_io/sdk/cloud_client/docs/AccountApi.md#me_get) | **GET** /me | Get account information
*InventoryApi* | [**orgs_org_id_inventory_image_builds_get**](root_io/sdk/cloud_client/docs/InventoryApi.md#orgs_org_id_inventory_image_builds_get) | **GET** /orgs/{org_id}/inventory/image_builds | List images&#39; builds
*InventoryApi* | [**orgs_org_id_inventory_package_summaries_get**](root_io/sdk/cloud_client/docs/InventoryApi.md#orgs_org_id_inventory_package_summaries_get) | **GET** /orgs/{org_id}/inventory/package_summaries | List package summaries
*InventoryApi* | [**orgs_org_id_inventory_release_tags_get**](root_io/sdk/cloud_client/docs/InventoryApi.md#orgs_org_id_inventory_release_tags_get) | **GET** /orgs/{org_id}/inventory/release_tags | List release tags
*InviteApi* | [**orgs_org_id_invites_invite_id_acceptance_post**](root_io/sdk/cloud_client/docs/InviteApi.md#orgs_org_id_invites_invite_id_acceptance_post) | **POST** /orgs/{org_id}/invites/{invite_id}/acceptance | Accepts an organization invite
*InviteApi* | [**orgs_org_id_invites_post**](root_io/sdk/cloud_client/docs/InviteApi.md#orgs_org_id_invites_post) | **POST** /orgs/{org_id}/invites | Creates an organization invite
*OrganizationApi* | [**orgs_org_id_get**](root_io/sdk/cloud_client/docs/OrganizationApi.md#orgs_org_id_get) | **GET** /orgs/{org_id} | Get organization by ID
*OrganizationApi* | [**orgs_org_id_role_bindings_post**](root_io/sdk/cloud_client/docs/OrganizationApi.md#orgs_org_id_role_bindings_post) | **POST** /orgs/{org_id}/role_bindings | Links account to an organization
*OrganizationApi* | [**orgs_post**](root_io/sdk/cloud_client/docs/OrganizationApi.md#orgs_post) | **POST** /orgs | Creates a new organization
*SecurityFindingsApi* | [**orgs_org_id_security_findings_finding_id_comments_comment_id_delete**](root_io/sdk/cloud_client/docs/SecurityFindingsApi.md#orgs_org_id_security_findings_finding_id_comments_comment_id_delete) | **DELETE** /orgs/{orgID}/security_findings/{findingID}/comments/{commentID} | Delete a comment from a security finding
*SecurityFindingsApi* | [**orgs_org_id_security_findings_finding_id_comments_comment_id_put**](root_io/sdk/cloud_client/docs/SecurityFindingsApi.md#orgs_org_id_security_findings_finding_id_comments_comment_id_put) | **PUT** /orgs/{orgID}/security_findings/{findingID}/comments/{commentID} | Update a comment to a security finding
*SecurityFindingsApi* | [**orgs_org_id_security_findings_finding_id_comments_post**](root_io/sdk/cloud_client/docs/SecurityFindingsApi.md#orgs_org_id_security_findings_finding_id_comments_post) | **POST** /orgs/{org_id}/security_findings/{finding_id}/comments | Adds a comment to a security finding
*SecurityFindingsApi* | [**orgs_org_id_security_findings_finding_id_status_put**](root_io/sdk/cloud_client/docs/SecurityFindingsApi.md#orgs_org_id_security_findings_finding_id_status_put) | **PUT** /orgs/{org_id}/security_findings/{finding_id}/status | Updates security finding status and resolution
*SecurityFindingsApi* | [**orgs_org_id_security_findings_get**](root_io/sdk/cloud_client/docs/SecurityFindingsApi.md#orgs_org_id_security_findings_get) | **GET** /orgs/{org_id}/security_findings | List security findings
*SecurityFindingsApi* | [**orgs_org_id_security_findings_report_get**](root_io/sdk/cloud_client/docs/SecurityFindingsApi.md#orgs_org_id_security_findings_report_get) | **GET** /orgs/{org_id}/security_findings/report | Export a security findings file
*VScanReportsApi* | [**orgs_org_id_vscan_reports_upload_post**](root_io/sdk/cloud_client/docs/VScanReportsApi.md#orgs_org_id_vscan_reports_upload_post) | **POST** /orgs/{org_id}/vscan_reports/upload | Upload VScan Report


## Documentation For Models

 - [APIKey](root_io/sdk/cloud_client/docs/APIKey.md)
 - [Account](root_io/sdk/cloud_client/docs/Account.md)
 - [CreateAPIKeyRequest](root_io/sdk/cloud_client/docs/CreateAPIKeyRequest.md)
 - [CreateOrgInviteRequest](root_io/sdk/cloud_client/docs/CreateOrgInviteRequest.md)
 - [CreateOrgInviteResponse](root_io/sdk/cloud_client/docs/CreateOrgInviteResponse.md)
 - [CreateOrganizationRequest](root_io/sdk/cloud_client/docs/CreateOrganizationRequest.md)
 - [EntitiesFindingStatus](root_io/sdk/cloud_client/docs/EntitiesFindingStatus.md)
 - [EntitiesResolution](root_io/sdk/cloud_client/docs/EntitiesResolution.md)
 - [EntitiesScannerName](root_io/sdk/cloud_client/docs/EntitiesScannerName.md)
 - [EntitiesSecurityFindingSeverity](root_io/sdk/cloud_client/docs/EntitiesSecurityFindingSeverity.md)
 - [EntitiesVscanReportUploadStatus](root_io/sdk/cloud_client/docs/EntitiesVscanReportUploadStatus.md)
 - [ImageBuildResponse](root_io/sdk/cloud_client/docs/ImageBuildResponse.md)
 - [OrgRoleBinding](root_io/sdk/cloud_client/docs/OrgRoleBinding.md)
 - [OrgRoleBindingCreationRequest](root_io/sdk/cloud_client/docs/OrgRoleBindingCreationRequest.md)
 - [Organization](root_io/sdk/cloud_client/docs/Organization.md)
 - [ReleaseTag](root_io/sdk/cloud_client/docs/ReleaseTag.md)
 - [SecurityFindingResource](root_io/sdk/cloud_client/docs/SecurityFindingResource.md)
 - [SecurityfindingsCommentRequest](root_io/sdk/cloud_client/docs/SecurityfindingsCommentRequest.md)
 - [SecurityfindingsSecurityFindingActivityResource](root_io/sdk/cloud_client/docs/SecurityfindingsSecurityFindingActivityResource.md)
 - [SecurityfindingsSecurityFindingActivitySummaryResource](root_io/sdk/cloud_client/docs/SecurityfindingsSecurityFindingActivitySummaryResource.md)
 - [SecurityfindingsSecurityFindingDetailedActivityResource](root_io/sdk/cloud_client/docs/SecurityfindingsSecurityFindingDetailedActivityResource.md)
 - [SecurityfindingsStatusUpdateRequest](root_io/sdk/cloud_client/docs/SecurityfindingsStatusUpdateRequest.md)
 - [VscanReportUpload](root_io/sdk/cloud_client/docs/VscanReportUpload.md)
 - [VulnerablePackageSummary](root_io/sdk/cloud_client/docs/VulnerablePackageSummary.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="BasicAuth"></a>
### BasicAuth

- **Type**: HTTP basic authentication


## Author



# Pack Commands

```bash
pip install setuptools wheel twine
python3 setup.py sdist bdist_wheel
twine upload dist/*
```
